Retrieve a delta

Returns paid presences that have changed since the last delta token.

Caution

Read the Delta page. There is important information on required implementation!

Tip

Check the Swagger page for more technical information on the endpoints.

Endpoint details

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/paid-presences?delta

Headers: Authorization: Bearer {token}, User-Agent: {agent} Scope: connector-protimeapi-calculated-totals.read

Response properties

Field Type Required Writable Description
changeVersion string — Read-only Property to indicate the order of changes.
id integer — Read-only Unique identifier for the paid presence record (read-only).
person.id integer — Read-only Internal ID of the person for whom this paid presence applies.
date string — Read-only Date for which the paid presence is recorded (YYYY-MM-DD).
durationInMinutes integer — Read-only Duration of the paid presence in minutes.
shiftDefinition.id integer — Read-only Internal ID of the linked shift definition (optional).

Filters

Filter Type Description
date Required The start date must be a recent date in the past, with the earliest allowed start date being January 1st of the previous year

Note

  • The person filter cannot be combined with delta: a delta always covers all people. A request with both returns 400 Bad Request.
  • The start date must be a recent date in the past, with the earliest allowed start date being January 1st of the previous year
  • The end date isn’t required, when providing an end date there is a max range of 1 year

Check the Fetching Resources page on how to use the filter.

External references

The endpoint supports predefined and custom external references. See the external references page for details and the predefined options list.

The following collections are supported for this endpoint:

Collection Predefined Custom
people @badge-number, @employee-number Supported
shift-definitions @shift-code Supported

Error responses

Status Condition
400 Invalid filter syntax, unknown filter field, or a person filter combined with delta
401 Missing or invalid access token, or insufficient scope
410 Delta token has expired (older than 72 hours)
414 Request URI too long

Examples

Delta with start date filter

Example with a start date:

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/paid-presences?delta&filter=date ge '2025-01-01'

Delta with date range filter

Example with a date range:

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/paid-presences?delta&filter=date ge '2025-01-01' and date le '2025-12-31'